Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Flächenanzahl ermitteln am 2D-Modell

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Flächenanzahl ermitteln am 2D-Modell (885 mal gelesen)
Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 08. Aug. 2018 07:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich hätte da mal eine Frage.

Ist es möglich an einem Volumenkörper die Anzahl der vertikalen Flächen automatisch ermitteln zu lassen? alternativ alle und wir ziehen die Grund- und Deckfläche ab.

Hintergrund: Wir haben viele geometrisch definierte Volumenkörper und sollten für die Weiterverarbeitung im ERP-System die Flächenanzahl wissen. Im günstigsten Fall soll das natürlich nicht manuell gehen, sondern automatisiert.

Wäre für einen kleinen Tipp dankbar.

Gruß Ralph

[Diese Nachricht wurde von Administrant am 08. Aug. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tacker
Mitglied
TZ, Tech. MB, Softwareentwickler


Sehen Sie sich das Profil von Tacker an!   Senden Sie eine Private Message an Tacker  Schreiben Sie einen Gästebucheintrag für Tacker

Beiträge: 175
Registriert: 23.09.2010

IV 2017 Pro
i7-7700K 4x4.2GHz
32GB DDR4-2400
GTX 1060 6GB DDR5

erstellt am: 08. Aug. 2018 08:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

Moin  

Ja gibt´s. Allerdings wirst da nicht um ein wenig Programmieren herumkommen.
Inventor bietet über die API (Schnittstelle zur Anwendungsprogrammierung) die Möglichkeit alle Geometrien auszulesen. Da ist natürlich auch die Richtung dabei.
Ist halt die Frage wie automatisch sollte das gehen? Also komplett vollautomatisch? Halbautomatisch (Knopf muss gedrückt werden, gezählt wird automatisch)?
Wie sicher soll das sein? Ist es nur für einen kleinen Kreis Eingeweihter oder sollen da auch komplette Laien ran?

Für Sicherheit und Vollautomatisch würde ich VB.NET/C# empfehlen, Für Vollautomatisch aber nicht sicher iLogic + VBA, für Halbautomatisch VBA.
Da wäre dann noch die Frage wie viel Erfahrung in Sachen Programmierung vorhanden ist falls man das selbst angehen will.
BTW: Wenn weist in welche Richtung das gehen soll, es gibt je ein Inventor VB.NET und ein Inventor  VBA Forum

EDIT/
Jetzt erst gelesen, welche Flächen hat denn ein 2D Modell? Da gibt´s doch nur Linien? Meinst du ein Flächenmodell? Das ist nämlich 3D nur eben kein Volumenkörper im eigentlichen Sinn. Falls das Flächenmodell gemeint ist, gilt das gleiche wie bereits gesagt. Bei einem 2D Modell in Inventor bin ich gerade ein bisschen irritiert.
/EDIT

Gruß

[Diese Nachricht wurde von Tacker am 08. Aug. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 08. Aug. 2018 08:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Tacker,

ist natürlich totaler Blödsinn mit dem 2D in der Überschrift. Ich meinte natürlich ein 3D-Volumenmodell.

Programierkentnisse sind vorhanden, wir haben da jemanden.

Auf Knopfdruck würde reichen, sollte von jedem bedient werden können und sicher sein. Wobei die Beschränkung auf max. 20 Flächen reichen würde, da alles was mehr ist auch anders berechnet wird bei der Herstellung.

Danke schon mal für die Antwort, bin ich schon mal zufrieden, dass das überhaupt geht. Von unserer Konstruktion höre ich immer nur "Das geht bei unserem Programm nicht".

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tacker
Mitglied
TZ, Tech. MB, Softwareentwickler


Sehen Sie sich das Profil von Tacker an!   Senden Sie eine Private Message an Tacker  Schreiben Sie einen Gästebucheintrag für Tacker

Beiträge: 175
Registriert: 23.09.2010

IV 2017 Pro
i7-7700K 4x4.2GHz
32GB DDR4-2400
GTX 1060 6GB DDR5

erstellt am: 08. Aug. 2018 10:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

Moin 

Als Konstrukteur hat man in der Regel auch keine Ahnung was die API alles bietet, geschweige denn wissen die wenigsten dass es überhaupt einen VBA Editor gibt der bereits mit Inventor ausgeliefert wird. Würde ich denen also mal nicht krumm nehmen,das Gesuchte ist schließlich keine Funktion von Inventor.
VBA-Makros können in das Ribbon (Befehlsbereich in Inventor) gelegt werden, Bild kann auch hinterlegt werden. Zusätzlich kann man eine Makro-Datei(.ivb) für alle Inventor-Nutzer auf einem Server legen. So hat jeder die gleiche Version.
Das Einzige was die Nutzer dann tun müssen, ist in den Inventor-Optionen den Pfad zur .ivb ändern und im Ribbon den Befehl hinzufügen.
Die .ivb kann mit einem Passwort geschützt werden, das bringt zwar nicht sehr viel, hält aber 0815 User draußen.

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 08. Aug. 2018 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Tacker,

danke für die Info, das hilft mir schon mal weiter.
Ich werde das mal weiter geben und sehen ob was daraus wird.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 11. Aug. 2018 16:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich


ERP_FACES.jpg

 
Vielleicht reicht dir dies hier schon.
Einfach mal in die VBA Umgebung eines IPT's koperen.
Bei Start werden all gefundenen Flächen hervorgehoben.
Danach kann die Anzahl der Flächen als Iproperty ins Dokument geschrieben werden.
Ich sinnvoll fürs spätere Auswerten.
****************************************
Public Sub ERP_FACES()

Dim propname As String
propname = "ERP_FACES"
Dim partDoc As PartDocument
Set partDoc = ThisApplication.ActiveDocument
Dim oSurfaceBody As SurfaceBody
Dim ERP_FACES As Integer
ERP_FACES = 0
Dim oStartHLSet As Inventor.HighlightSet
Set oStartHLSet = partDoc.CreateHighlightSet
Dim oFace As Face
Dim oColor As Color
Set oColor = ThisApplication.TransientObjects.CreateColor(253, 254, 2)

    oColor.Opacity = 1 ' Set the opacity

    oStartHLSet.Color = oColor
    For Each oSurfaceBody In partDoc.ComponentDefinition.SurfaceBodies
        ERP_FACES = ERP_FACES + oSurfaceBody.ComponentDefinition.SurfaceBodies.Item(1).Faces.Count
            For Each oFace In oSurfaceBody.ComponentDefinition.SurfaceBodies.Item(1).Faces
                Call oStartHLSet.AddItem(oFace)
            Next
    Next
 
If MsgBox(("Anzahl der Flächen = " & ERP_FACES & vbNewLine & "OK = Property schreiben"), vbYesNo, "ERP_FACE_COUNTER") = vbYes Then
Call UpdateCustomiProperty(partDoc, propname, CStr(ERP_FACES))
End If

End Sub

Public Sub UpdateCustomiProperty(ByRef Doc As Document, _
ByRef PropertyName As String, _
ByRef PropertyValue As Variant)
    ' Get the custom property set.
    Dim customPropSet As PropertySet
    Set customPropSet = Doc.PropertySets.Item( _
  "Inventor User Defined Properties")

    ' Get the existing property, if it exists.
    Dim prop As Property
    On Error Resume Next
    Set prop = customPropSet.Item(PropertyName)

    ' Check to see if the above call failed.  If it failed
    ' then the property doesn't exist.
    If Err.Number <> 0 Then
    ' Failed to get the existing property so create a new one.
    Set prop = customPropSet.Add(PropertyValue, PropertyName)
    Else
    ' Change the value of the existing property.
    prop.Value = PropertyValue
    End If
End Sub

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 22. Aug. 2018 07:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

und mal probiert ??????

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 28. Aug. 2018 07:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Frank_Schalla,

leider noch nicht, hatten jetzt 2 Wochen BU, bin heute den ersten Tag wieder da.
Werden wir aber umgehend testen.

Danke schon mal für den Code, lässt sich sicher damit arbeiten.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 31. Aug. 2018 18:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

und nu ?

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 03. Sep. 2018 07:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Kann ich noch nicht sagen, unser CAD-Spezi kommt heute erst aus dem Urlaub. Hab ich gerade eben erfahren .

Ich melde mich auf jeden Fall wenn ich was weis.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 03. Sep. 2018 10:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

ok bin gespannt auf eure Antwort 

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 16. Sep. 2018 08:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

Sowas liebe ich hier 
Frage stellen
Antwort kriegen
SCHWEIGEN 

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9538
Registriert: 01.12.2003

AutoCAD 2.5 - 2017,
Inventor AIP 4-2017 Windows 10
i7, 32GB, SSD, QuadroK2000

erstellt am: 16. Sep. 2018 08:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

Hallo Frank,
prima Codeschnipsel, Testen dauerte 2 Min.
1. Neues Bauteil, Quader erstellt
2. ALT-F11 - insert neues Modul - Copy & Paste deines Codebeispiels
3. Run Makro - F5

Es macht was es soll. Danke (stellvertretend) für deinen Einsatz hier.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 17. Sep. 2018 07:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Frank_Schalla:
Sowas liebe ich hier  
Frage stellen
Antwort kriegen
SCHWEIGEN  


Sorry, dass ich mich nicht gemeldet habe, aber ich war die ganze letzte Woche krank.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 17. Sep. 2018 07:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo nochmal,

nur mal kurz zur Klarstellung, ich bin kein Konstrukteur mit Zugriff auf das CAD-System.
Ich bin in unserem Bereich (Kalkulation) verantwortlich für die Einführung des neuen ERP-Systems und in dieser Funktion interessiert an einer möglichst automatisierten Datenerfassung. Die Vergangenheit hat uns gezeigt, dass alles was manuell eingegeben werden muss zu Fehlern führt.
Aus diesem Grund bin ich auf die Antworten und Mithilfe unserer Konstruktionsabteilung, bzw. deren Systemadmin angewiesen. Da dieser aber nur 2 Tage die Woche verfügbar ist kann eine Antwort schon mal dauern.

Als bitte ich euch um etwas Nachsicht, dass ich nicht zeitnah antworten kann.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 17. Sep. 2018 14:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Frank_Schalla,

unser 3D-Admin hat das mal probiert und meinte es würde nicht ganz so arbeiten wie gewünscht, konnte mir aber noch nicht sagen was genau er damit meinte.
Ich werde mir das mal bei Ihm ansehen und dann noch mal Rückmeldung geben.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 17. Sep. 2018 18:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

Ok
DANKE 

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 18. Sep. 2018 08:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen,

ich hatte gerade ein ernüchterndes Gespräch mit unserem 3D-Admin. Also das Skript ist schon mal super, es macht genau das was es soll, es zählt tatsächlich alle Flächen. Und genau das ist das Problem, alle Flächen sind zu viele.

Das 2. Problem scheint ein größeres zu sein, da wir schon mehrere tausend Bauteile im System haben, würde ein zusätzlicher Parameter einen riesen Aufwand nach sich ziehen das alles nach zu pflegen. Durch die automatische Übergabe per iProperty an ProFile und dann ans ERP müssten alle bestehenden Bauteile geändert werden und alle darauf basierenden Baugruppen ebenfalls.

So zumindest seine Aussage.

Ich habe mal ein Beispiel eines Objektes angehängt, auf das es angewendet werden soll.
Dabei sollen nur die geraden Flächen ohne Radien und ohne die Nocken an der Seite gezählt werden. Das wären in diesem Beispiel 8 Flächen ohne die untere und die obere.

Vielleicht gibt es ja eine Möglichkeit nur die Flächen zu wählen, die nicht auf der Ebene "unten und oben" liegen? Eine Anwendung könnte auch erfolgen bevor die Features "Eckradien, Nocken..." ausgeführt werden. Dann bleibt aber immer noch das Problem mit der Übergabe ans ERP-System.

Vielleicht hat ja jemand eine Idee dazu?

Ansonsten trotzdem danke an alle die sich bemüht haben.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 18. Sep. 2018 08:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Pflasterstein.ipt

 
Guten Morgen,

ich hatte gerade ein ernüchterndes Gespräch mit unserem 3D-Admin. Also das Skript ist schon mal super, es macht genau das was es soll, es zählt tatsächlich alle Flächen. Und genau das ist das Problem, alle Flächen sind zu viele.

Das 2. Problem scheint ein größeres zu sein, da wir schon mehrere tausend Bauteile im System haben, würde ein zusätzlicher Parameter einen riesen Aufwand nach sich ziehen das alles nach zu pflegen. Durch die automatische Übergabe per iProperty an ProFile und dann ans ERP müssten alle bestehenden Bauteile geändert werden und alle darauf basierenden Baugruppen ebenfalls.

So zumindest seine Aussage.

Ich habe mal ein Beispiel eines Objektes angehängt, auf das es angewendet werden soll.
Dabei sollen nur die geraden Flächen ohne Radien und ohne die Nocken an der Seite gezählt werden. Das wären in diesem Beispiel 8 Flächen ohne die untere und die obere.

Vielleicht gibt es ja eine Möglichkeit nur die Flächen zu wählen, die nicht auf der Ebene "unten und oben" liegen? Eine Anwendung könnte auch erfolgen bevor die Features "Eckradien, Nocken..." ausgeführt werden. Dann bleibt aber immer noch das Problem mit der Übergabe ans ERP-System.

Vielleicht hat ja jemand eine Idee dazu?

Ansonsten trotzdem danke an alle die sich bemüht haben.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1613
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 19. Sep. 2018 16:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

Tja und schon hast du gelernt das nicht jeder CAD Admin auch einen konstruktiven Hintergrund hat 
WEGEN dem Property
Genau dies ist sein JOB dafür kriegt er doch sein Geld.
Lizenzen verwalten kann jeder 

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 20. Sep. 2018 08:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,

Danke für die Antwort, ich darf es ja gar nicht laut sagen, aber der kam zu dem Job wie die Jungfrau zum Kind.

Kann man halt nichts machen.

Trotzdem nochmal Danke für die Hilfe.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 116
Registriert: 19.09.2007

Inventor Professional 2016
Win7

erstellt am: 21. Sep. 2018 08:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich


Pflasterstein_Faces.png

 
Zitat:
Original erstellt von Administrant:
Ich habe mal ein Beispiel eines Objektes angehängt, auf das es angewendet werden soll.
Dabei sollen nur die geraden Flächen ohne Radien und ohne die Nocken an der Seite gezählt werden. Das wären in diesem Beispiel 8 Flächen ohne die untere und die obere.

Wie kommt man da auf 8 Flächen?

Zitat:
Vielleicht gibt es ja eine Möglichkeit nur die Flächen zu wählen, die nicht auf der Ebene "unten und oben" liegen?

Wäre es hierfür ausreichend, die Flächen auszusortieren, die senkrecht zur z-Achse liegen?

Anbei ein Bild mit dem Ergebnis, wenn auch zusätzlich nur ebene Flächen berücksichtigt werden. Hier auch der Code dazu:

Code:
Public Sub ERP_FACES()
' Quelle: Frank_Schalla 'leicht angepasst
Dim propname As String
propname = "ERP_FACES"
Dim partDoc As PartDocument
Set partDoc = ThisApplication.ActiveDocument
Dim oSurfaceBody As SurfaceBody
Dim ERP_FACES As Integer
ERP_FACES = 0
Dim oStartHLSet As Inventor.HighlightSet
Set oStartHLSet = partDoc.CreateHighlightSet
Dim oFace As Face
Dim oColor As Color
Set oColor = ThisApplication.TransientObjects.CreateColor(253, 254, 2)

'--- KraBBy
Dim iFacesReduz As Integer
iFacesReduz = 0
'---
    oColor.Opacity = 1 ' Set the opacity

    oStartHLSet.Color = oColor
    For Each oSurfaceBody In partDoc.ComponentDefinition.SurfaceBodies
        ERP_FACES = ERP_FACES + oSurfaceBody.ComponentDefinition.SurfaceBodies.Item(1).Faces.Count
            For Each oFace In oSurfaceBody.ComponentDefinition.SurfaceBodies.Item(1).Faces
                If Face2Count(oFace) Then  'hinzu KraBBy
                    iFacesReduz = iFacesReduz + 1  'hinzu
                    Call oStartHLSet.AddItem(oFace)
                End If
            Next
    Next

If MsgBox(("Anzahl der Flächen (gesamt) = " & ERP_FACES & vbNewLine _
          & "markierte Flächen = " & iFacesReduz & vbNewLine _
          & "OK = Property schreiben"), vbYesNo, "ERP_FACE_COUNTER") = vbYes Then 'KraBBy: Zeile ergänzt
    'Call UpdateCustomiProperty(partDoc, propname, CStr(ERP_FACES)) 'KraBBy: auskommentiert
End If

End Sub

Private Function Face2Count(oF As Face) As Boolean
    'gibt true zurück, wenn die Fläche den Kriterien entspricht
    ' oF    : zu prüfenden Fläche
    ' KraBBy 20.09.2018
   
    Face2Count = False
   
    'Richtung festlegen
    Dim oTG As TransientGeometry
    Set oTG = ThisApplication.TransientGeometry
    Dim oZAxis As UnitVector
    Set oZAxis = oTG.CreateUnitVector(0, 0, 1)  'hier Z-Achse verwendet. Ist das IMMER so korrekt?
   
    If oF.SurfaceType = kPlaneSurface Then  'nur ebene Flächen
        If Not oZAxis.IsParallelTo(oF.Geometry.Normal, 0.01) Then 'normal-Vektor NICHT parallel zu Z-Achse; Angabe Toleranz i.O.?
            Face2Count = True  'Rückgabewert
        End If
    End If
End Function


------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 21. Sep. 2018 08:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo KraBBy,

Danke schon mal für die Antwort.
Natürlich war die Flächenanzahl von 8 nicht richtig, es wären eigentlich 4 Flächen die als Ergebnis herauskommen sollten.
Die seitlichen Nocken sollen nicht berücksichtigt werden und es zählen nur Flächen, die Senkrecht zur Ebene X-Y liegen.

Als zusätzliche Info muss ich noch angeben, dass aus diesen Flächenanzahlen ermittelt wird, wie teuer die Fräsbearbeitung wird. Die Flächenanzahl kann von 1 bis unendlich gehen. Wobei ab 20 Flächen eine andere Berechnung und Bearbeitung greift.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 116
Registriert: 19.09.2007

Inventor Professional 2016
Win7

erstellt am: 21. Sep. 2018 12:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Administrant 10 Unities + Antwort hilfreich

scheint schwierig zu werden...

Es ist wohl einfach möglich, nur die Flächen zu zählen, die
- eben/nicht gekrümt sind (im Code oF.SurfaceType = kPlaneSurface)
- deren normalen-Vektor parallel zur x-y-Ebene verläuft

ABER es kommen trotzdem mehr aus 4 raus, weil die seitlichen Flächen durch die Nocken unterbrochen/getrennt wurden.

BTW. Kosten einer Fräsbearbeitung abhängig zur Flächenanzahl? wie funktioniert denn das? Wäre da nicht der Umfang (einer Projektion auf die x-y oder so) besser geeignet?

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Administrant
Mitglied
Techniker


Sehen Sie sich das Profil von Administrant an!   Senden Sie eine Private Message an Administrant  Schreiben Sie einen Gästebucheintrag für Administrant

Beiträge: 55
Registriert: 02.12.2005

Momentan keines!

erstellt am: 21. Sep. 2018 12:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo KraBBy,

danke für deine Antwort. Ich habe mir so was schon gedacht. Auch der Ansatz, die Flächen zu ermitteln, wenn die Features Radius, Nocken und Abrunden noch nicht gemacht sind funktioniert nicht, da unsere 3D-Modelle nicht entsprechend aufgebaut sind.

Zitat:
BTWBy the way (So nebenbei bemerkt). Kosten einer Fräsbearbeitung abhängig zur Flächenanzahl? wie funktioniert denn das? Wäre da nicht der Umfang (einer Projektion auf die x-y oder so) besser geeignet?

Das zu erklären wäre eine längere Geschichte, Diese Berechnung ist unserer Produktionsweise und einer Jahrelang gewachsenen Formel geschuldet. Ich glaube kaum, dass daran zu rütteln ist.

Trotzdem danke für eure Mühe.

Gruß Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz